ARCH-NSPAWN(1)

BEZEICHNUNG
arch-nspawn - Einen Befehl oder ein Betriebssystem in einem leichtgewichtigen Namensraum-Container ausführen

ÜBERSICHT

arch-nspawn [Optionen] Arbeitsverzeichnis [Systemd-Nspawn-Argumente]

BESCHREIBUNG

arch-nspawn ist ein Wrapper um systemd-nspawn(1), um einen Befehl oder ein Betriebssystem in einem Namensraum-Container wie einem Verzeichnis einschließlich der grundlegenden Hilfswerkzeuge eines Betriebssystems auszuführen. Es wird zum Bau von Paketen in einer sauberen und definierten Umgebung verwandt.

OPTIONEN

-C <Datei>
    Ort der pacman(8)-Konfigurationsdatei.

-M <Datei>
    Ort der makepkg(8)-Konfigurationsdatei. Zusätzliche Ergänzungen (z.B. Bauschalter für zusätzliche Sprachen) können in <Datei>.d/*.conf abgelegt werden.

-c <Verz>
    Setzt den Zwischenspeicher von pacman(8). Falls kein Verzeichnis angegeben ist, wird das übergebene Zwischenspeicherverzeichnis von pacman.conf mit der Rückfalloption /etc/pacman.conf verwandt.

-f <Quelle>[:<Ziel>]
    Kopiert Datei vom Rechner in die Chroot. Falls Ziel nicht bereitgestellt wird, ist die Vorgabe Quelle innerhalb der Chroot.

-s
    Führt setarch(8) nicht aus.

-h
    Zeigt diesen Hinweis zur Verwendung.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.